org.eclipse.microprofile.lra.tck.participant.invalid

## Class LRAResourceWithoutCompensateOrAfteRLRA

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.participant.invalid.LRAResourceWithoutCompensateOrAfteRLRA

    @Path(value="/invalid-lra-resource-path")
    public class LRAResourceWithoutCompensateOrAfteRLRA
    extends Object

### Field Summary

Fields
`static String` `INVALID_LRA_RESOURCE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`LRAResourceWithoutCompensateOrAfteRLRA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `complete()`
`jakarta.ws.rs.core.Response` `doInLRA(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INVALID_LRA_RESOURCE_PATH

    public static final String INVALID_LRA_RESOURCE_PATH

See Also:
  Constant Field Values

### Constructor Detail

#### LRAResourceWithoutCompensateOrAfteRLRA

    public LRAResourceWithoutCompensateOrAfteRLRA()

### Method Detail

#### doInLRA

    @GET
     @Path(value="/lra")
    public jakarta.ws.rs.core.Response doInLRA(@HeaderParam(value="Long-Running-Action")
                                                                         URI lraId)

#### complete

    @PUT
     @Path(value="/complete")
    public jakarta.ws.rs.core.Response complete()